curl --request POST \
--url 'https://api.nsr.stateset.com/api/v2/nsr/chat/solve/stream' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"api_surface": "string",
"confidence_threshold": 1,
"decompositions": [
{
"goal": "string",
"subtasks": []
}
],
"facts": [
{
"confidence": 1,
"predicate": {
"args": null,
"name": null,
"negated": null
},
"source": "string"
}
],
"goal": "string",
"hydrate_org_context": true,
"include_facts": true,
"include_trace": true,
"kb_limits": {
"max_entities": 1,
"max_properties_per_entity": 1,
"max_rules": 1,
"max_triples": 1
},
"max_depth": 1,
"max_iterations": 1,
"messages": [
{
"content": "string",
"role": "string"
}
],
"mode": {
"0": "f",
"1": "a",
"2": "s",
"3": "t"
},
"org_id": "string",
"rules": [
{
"category": "string",
"constraints": [],
"description": "string",
"effect": {
"0": "p",
"1": "e",
"2": "r",
"3": "m",
"4": "i",
"5": "t"
},
"enabled": true,
"id": "string",
"if": [],
"name": "string",
"priority": 1,
"then": []
}
],
"session_id": "string",
"target": "string"
}'
Recursive chat solve stream handler
Required scope: write
POST
/
api
/
v2
/
nsr
/
chat
/
solve
/
stream
curl --request POST \
--url 'https://api.nsr.stateset.com/api/v2/nsr/chat/solve/stream' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"api_surface": "string",
"confidence_threshold": 1,
"decompositions": [
{
"goal": "string",
"subtasks": []
}
],
"facts": [
{
"confidence": 1,
"predicate": {
"args": null,
"name": null,
"negated": null
},
"source": "string"
}
],
"goal": "string",
"hydrate_org_context": true,
"include_facts": true,
"include_trace": true,
"kb_limits": {
"max_entities": 1,
"max_properties_per_entity": 1,
"max_rules": 1,
"max_triples": 1
},
"max_depth": 1,
"max_iterations": 1,
"messages": [
{
"content": "string",
"role": "string"
}
],
"mode": {
"0": "f",
"1": "a",
"2": "s",
"3": "t"
},
"org_id": "string",
"rules": [
{
"category": "string",
"constraints": [],
"description": "string",
"effect": {
"0": "p",
"1": "e",
"2": "r",
"3": "m",
"4": "i",
"5": "t"
},
"enabled": true,
"id": "string",
"if": [],
"name": "string",
"priority": 1,
"then": []
}
],
"session_id": "string",
"target": "string"
}'
Required scope:
write
Request body
RecursiveChatRequest
string
number (double)
RecursiveChatDecomposition[]
RecursiveChatFactInput[]
string
boolean
boolean
boolean
object
integer
integer
RecursiveChatMessage[]
required
object
string
RecursiveChatRuleInput[]
string
string
Response
No response body — server-sent events stream of recursive chat progress + final response.Status codes
| Code | Meaning |
|---|---|
200 | Server-Sent Events stream of recursive chat progress + final response |
401 | Unauthorized — missing or invalid credentials |
402 | Account suspended or quota exhausted |
403 | org_id mismatch |
408 | Solve exceeded wall-clock budget |
422 | Malformed input |
429 | Rate limited — see Retry-After / X-RateLimit-Reset |
curl --request POST \
--url 'https://api.nsr.stateset.com/api/v2/nsr/chat/solve/stream' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"api_surface": "string",
"confidence_threshold": 1,
"decompositions": [
{
"goal": "string",
"subtasks": []
}
],
"facts": [
{
"confidence": 1,
"predicate": {
"args": null,
"name": null,
"negated": null
},
"source": "string"
}
],
"goal": "string",
"hydrate_org_context": true,
"include_facts": true,
"include_trace": true,
"kb_limits": {
"max_entities": 1,
"max_properties_per_entity": 1,
"max_rules": 1,
"max_triples": 1
},
"max_depth": 1,
"max_iterations": 1,
"messages": [
{
"content": "string",
"role": "string"
}
],
"mode": {
"0": "f",
"1": "a",
"2": "s",
"3": "t"
},
"org_id": "string",
"rules": [
{
"category": "string",
"constraints": [],
"description": "string",
"effect": {
"0": "p",
"1": "e",
"2": "r",
"3": "m",
"4": "i",
"5": "t"
},
"enabled": true,
"id": "string",
"if": [],
"name": "string",
"priority": 1,
"then": []
}
],
"session_id": "string",
"target": "string"
}'